<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports.css" rel="stylesheet" />
    <script type="text/javascript" src="jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" class="collapse-all-link" title="Collapse/expand all the suites">
          <img class="collapse-all-icon" src="collapseall.gif">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" class="navigator-link" panel-name="suite-Test-method_Suite">
              <span class="suite-name border-passed">Test-method Suite</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" class="navigator-link " panel-name="test-xml-Test-method_Suite">
                    <span>C:\Users\surmeesa\GradedLab\TestNGSample\src\test\java\resources\TestNG.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="testlist-Test-method_Suite">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="group-Test-method_Suite">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="times-Test-method_Suite">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="reporter-Test-method_Suite">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="ignored-methods-Test-method_Suite">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="chronological-Test-method_Suite">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">3 methods,   3 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-Test-method_Suite" class="hide-methods passed suite-Test-method_Suite"> (hide)</a> <!-- hide-methods passed suite-Test-method_Suite -->
                      <a href="#" panel-name="suite-Test-method_Suite" class="show-methods passed suite-Test-method_Suite"> (show)</a> <!-- show-methods passed suite-Test-method_Suite -->
                    </span>
                    <div class="method-list-content passed suite-Test-method_Suite">
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Test-method_Suite" title="com.testng.sample.SampleTest" hash-for-method="testChromeDriver">testChromeDriver</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Test-method_Suite" title="com.testng.sample.SampleTest" hash-for-method="testOpenIEDriver">testOpenIEDriver</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Test-method_Suite" title="com.testng.sample.SampleTest" hash-for-method="testopenFireFoxdriver">testopenFireFoxdriver</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-Test-method_Suite -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-Test-method_Suite" class="panel Test-method_Suite">
          <div class="suite-Test-method_Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">com.testng.sample.SampleTest</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="testChromeDriver">
                  </a> <!-- testChromeDriver -->
                  <span class="method-name">testChromeDriver</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="testOpenIEDriver">
                  </a> <!-- testOpenIEDriver -->
                  <span class="method-name">testOpenIEDriver</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="testopenFireFoxdriver">
                  </a> <!-- testopenFireFoxdriver -->
                  <span class="method-name">testopenFireFoxdriver</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Test-method_Suite-class-passed -->
        </div> <!-- panel Test-method_Suite -->
        <div panel-name="test-xml-Test-method_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">C:\Users\surmeesa\GradedLab\TestNGSample\src\test\java\resources\TestNG.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;http://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite guice-stage=&quot;DEVELOPMENT&quot; name=&quot;Test-method Suite&quot; parallel=&quot;methods&quot;&gt;
  &lt;test name=&quot;Test-method test&quot; group-by-instances=&quot;true&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;com.testng.sample.SampleTest&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Test-method test --&gt;
&lt;/suite&gt; &lt;!-- Test-method Suite --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-Test-method_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for Test-method Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">Test-method test (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-Test-method_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for Test-method Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-Test-method_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for Test-method Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_Test-method_Suite');
function tableData_Test-method_Suite() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(3);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'testopenFireFoxdriver')
data.setCell(0, 2, 'com.testng.sample.SampleTest')
data.setCell(0, 3, 33057);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'testChromeDriver')
data.setCell(1, 2, 'com.testng.sample.SampleTest')
data.setCell(1, 3, 32312);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'testOpenIEDriver')
data.setCell(2, 2, 'com.testng.sample.SampleTest')
data.setCell(2, 3, 16138);
window.suiteTableData['Test-method_Suite']= { tableData: data, tableDiv: 'times-div-Test-method_Suite'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 1 minutes</span>
              <div id="times-div-Test-method_Suite">
              </div> <!-- times-div-Test-method_Suite -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-Test-method_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for Test-method Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-Test-method_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-Test-method_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">com.testng.sample.SampleTest</div> <!-- chronological-class-name -->
              <div class="configuration-method before">
                <span class="method-name">setUp</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-method before -->
              <div class="configuration-method before">
                <span class="method-name">setUp</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <span class="method-name">testopenFireFoxdriver</span>
                <span class="method-start">9 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-method before">
                <span class="method-name">setUp</span>
                <span class="method-start">33 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <span class="method-name">testChromeDriver</span>
                <span class="method-start">33 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">testOpenIEDriver</span>
                <span class="method-start">44 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-method after">
                <span class="method-name">afterMethod</span>
                <span class="method-start">16188 ms</span>
              </div> <!-- configuration-method after -->
              <div class="configuration-method after">
                <span class="method-name">afterMethod</span>
                <span class="method-start">32346 ms</span>
              </div> <!-- configuration-method after -->
              <div class="configuration-method after">
                <span class="method-name">afterMethod</span>
                <span class="method-start">33069 ms</span>
              </div> <!-- configuration-method after -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
</html>
